const config = {
  datasets: {
    Landing: ["landingpage"],
    Discoverability: ["discoverabilitypage", "hvd"],
    BasicInfos: [
      "titelpage",
      "descriptionV3",
      "updatedate",
      "publisherV3",
      "contactpage",
    ],
    Covering: ["geocodingURI", "temporalCoverage"],
    DistributionSimple: ["distributionsimplepage", "distLicense"],
    ReviewAndPublish: ["reviewandpublishpage"],
    Additionals: [
      "contributorID",
      "geocodingDescription",
      "identifier",
      "admsIdentifier",
      "versionInfo",
      "versionNotes",
      "legalBasis",
      "relation",
      "landingPage",
      "language",
      "conformsTo",
      "accessRights",
      "provenance",
      "accrualPeriodicity",
      "type",
      "wasGeneratedBy",
      "spatialResolutionInMeters",
      "temporalResolution",
      "qualifiedAttribution",
      "qualifiedRelation",
      "isReferencedBy",
      "source",
      "hasVersion",
      "isVersionOf",
      "creator",
      "contributor"
    ],
  },
  distributions: {
    Recommended: ["dct:modified", "dct:description"],
    Advanced: [
      "dcatde:licenseAttributionByText",
      "dcatap:availability",
      "dcat:byteSize",
      "dct:issued",
      "dct:language",
      "foaf:page",
      "dct:accessRights",
      "dct:conformsTo",
      "dcat:mediaType",
      "dcat:compressFormat",
      "dcat:packageFormat",
      "odrl:hasPolicy",
      "adms:status",
      "dcat:accessService",
      "spdx:checksum",
      "dcterms:license",
    ],
  },
  catalogues: {
    Mandatory: [
      "title",
      "availabilityCatDE",
      "datasetID",
      "description",
      "publisher",
      "language",
      "homepage",
      "licence",
    ],
    Advised: ["spatial", "hasPart", "isPartOf", "rights", "catalog", "creator"],
    Overview: ["overview"],
  },
};

export default config;
